Subject: Ticket Assigned - 9506564621
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 26 Nov 2021 19:28:35 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9506564621 Hi there,

After 12 calls made to your customer service team. After 7 messages on your WhatsApp line and 3 attempts on your online chat.

It has been one month I raised a return on your system and 1 month still no one has collected the broken items.

Your delivery driver delivered the below girls makeup sets smashed and broken inside the bag one month ago. I raised the concern ONE MONTH AGO. I have called to speak to Managers - no one calls back. No one comes to collect. ONE MONTH.

I want a refund immediately and I will never shop with you again.

Disgusting experience! And customer service disgusting! I have wasted so much time on the phone to you guys - no one knows what they are doing. Everyone says someone is coming tomorrow to collect, no one comes. For 1 whole month.

Shameful!

Regards,

Natalie Al Hashimi

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3328652